[Launch]
ProgramExecutable=PUSHVideoWallpaper\pushvideowallpaper.exe
WorkingDirectory=%PAL:AppDir%\PUSHVideoWallpaper
SingleAppInstance=true
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
DesktopSlideshow="HKCU\Control Panel\Personalization\Desktop Slideshow"
-=HKCU\Software\Microsoft\ActiveMovie\devenum

[RegistryValueBackupDelete]
1=HKCU\Control Panel\Personalization\Desktop Slideshow\Interval
2=HKCU\Control Panel\Personalization\Desktop Slideshow\Shuffle

[DirectoriesMove]
Local=%LOCALAPPDATA%\PUSH Entertainment\Video Wallpaper

[DirectoriesCleanupIfEmpty]
1=%ALLUSERSAPPDATA%\PUSH Entertainment
2=%LOCALAPPDATA%\PUSH Entertainment

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\DesktopSlideshow.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\DesktopSlideshow.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\DesktopSlideshow.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\